MayronUI_SetupUI.Import["Bartender4"] = function()
	if ( MayronUI_SetupUI:IsEnabled() ) then
		local settings = {
			["namespaces"] = {
				["ActionBars"] = {
					["profiles"] = {
						["MayronUI"] = {
							["actionbars"] = {
								{
									["showgrid"] = true,
									["padding"] = 5.5,
									["fadeoutalpha"] = 1,
									["position"] = {
										["y"] = 56,
										["x"] = -354,
										["point"] = "BOTTOM",
										["scale"] = 0.850000023841858,
									},
									["version"] = 3,
									["hidemacrotext"] = true,
									["states"] = {
										["actionbar"] = true,
										["stance"] = {
											["WARRIOR"] = {
												["berserker"] = 8,
												["battle"] = 1,
												["def"] = 6,
											},
											["WARLOCK"] = {
												["metamorphosis"] = 0,
											},
											["ROGUE"] = {
												["stealth"] = 8,
											},
											["DRUID"] = {
												["treeoflife"] = 0,
												["cat"] = 6,
												["bear"] = 5,
											},
											["MONK"] = {
												["serpent"] = 5,
												["ox"] = 6,
											},
											["PRIEST"] = {
												["shadowform"] = 5,
											},
										},
									},
								}, -- [1]
								{
									["enabled"] = false,
									["version"] = 3,
									["position"] = {
										["y"] = -189.499941973427,
										["x"] = -231.500185021676,
										["point"] = "CENTER",
									},
								}, -- [2]
								{
									["showgrid"] = true,
									["rows"] = 12,
									["alpha"] = 0,
									["hidemacrotext"] = true,
									["version"] = 3,
									["position"] = {
										["y"] = 288,
										["x"] = -41,
										["point"] = "RIGHT",
										["scale"] = 0.9,
									},
									["padding"] = 5.5,
									["visibility"] = {
										["always"] = true,
										["vehicleui"] = false,
									},
								}, -- [3]
								{
									["showgrid"] = true,
									["rows"] = 12,
									["alpha"] = 0,
									["hidemacrotext"] = true,
									["version"] = 3,
									["position"] = {
										["y"] = 288,
										["x"] = -77,
										["point"] = "RIGHT",
										["scale"] = 0.899999976158142,
									},
									["padding"] = 5.5,
									["visibility"] = {
										["always"] = true,
										["vehicleui"] = false,
									},
								}, -- [4]
								{
									["showgrid"] = true,
									["rows"] = 2,
									["buttons"] = 8,
									["hidemacrotext"] = true,
									["version"] = 3,
									["position"] = {
										["y"] = 249.804935363009,
										["x"] = -77.4000068664551,
										["point"] = "BOTTOM",
										["scale"] = 0.9,
									},
									["padding"] = 6,
									["visibility"] = {
										["always"] = true,
										["vehicle"] = false,
									},
								}, -- [5]
								{
									["showgrid"] = true,
									["version"] = 3,
									["position"] = {
										["y"] = 127.984567461994,
										["x"] = 90.7013938892309,
										["point"] = "LEFT",
									},
									["padding"] = 6,
									["visibility"] = {
										["always"] = true,
									},
								}, -- [6]
								{
									["showgrid"] = true,
									["enabled"] = true,
									["buttons"] = 8,
									["version"] = 3,
									["position"] = {
										["y"] = 56,
										["x"] = 69,
										["point"] = "BOTTOM",
										["scale"] = 0.85,
									},
									["hidemacrotext"] = true,
									["padding"] = 5.5,
									["visibility"] = {
										["always"] = false,
										["vehicleui"] = false,
									},
									["states"] = {
										["enabled"] = true,
										["stance"] = {
											["MONK"] = {
												["tiger"] = 8,
												["serpent"] = 8,
												["ox"] = 8,
											},
											["ROGUE"] = {
												["stealth"] = 0,
											},
										},
									},
								}, -- [7]
								{
									["showgrid"] = true,
									["enabled"] = true,
									["version"] = 3,
									["position"] = {
										["y"] = 83.98458961946,
										["x"] = 90.7013938892309,
										["point"] = "LEFT",
									},
									["padding"] = 6,
									["visibility"] = {
										["always"] = true,
									},
									["states"] = {
										["enabled"] = true,
										["stance"] = {
											["MONK"] = {
												["tiger"] = 1,
												["serpent"] = 1,
												["ox"] = 1,
											},
										},
									},
								}, -- [8]
								{
									["showgrid"] = true,
									["enabled"] = true,
									["buttons"] = 8,
									["alpha"] = -0.0176470588235294,
									["padding"] = 5.5,
									["version"] = 3,
									["position"] = {
										["y"] = 91,
										["x"] = 69,
										["point"] = "BOTTOM",
										["scale"] = 0.85,
									},
									["hidemacrotext"] = true,
									["visibility"] = {
										["always"] = true,
										["vehicle"] = false,
										["vehicleui"] = false,
									},
								}, -- [9]
								{
									["showgrid"] = true,
									["enabled"] = true,
									["alpha"] = -0.0176470588235294,
									["padding"] = 5.5,
									["version"] = 3,
									["position"] = {
										["y"] = 91,
										["x"] = -354,
										["point"] = "BOTTOM",
										["scale"] = 0.85,
									},
									["hidemacrotext"] = true,
									["visibility"] = {
										["always"] = true,
										["vehicle"] = false,
										["vehicleui"] = false,
									},
								}, -- [10]
							},
						},
					},
				},
				["LibDualSpec-1.0"] = {
				},
				["ExtraActionBar"] = {
					["profiles"] = {						
						["MayronUI"] = {
							["position"] = {
								["y"] = 249.363403320313,
								["x"] = -133.349914550781,
								["point"] = "BOTTOM",
							},
							["version"] = 3,
						},
					},
				},
				["MicroMenu"] = {
					["profiles"] = {						
						["MayronUI"] = {
							["enabled"] = false,
							["position"] = {
								["y"] = 32.4000004827976,
								["x"] = 442.479598762358,
								["point"] = "BOTTOM",
								["scale"] = 0.800000011920929,
							},
							["version"] = 3,
						},
					},
				},
				["XPBar"] = {
					["profiles"] = {
						["MayronUI"] = {
							["enabled"] = true,
							["version"] = 3,
							["position"] = {
								["y"] = -1,
								["x"] = -363.299957275391,
								["point"] = "TOP",
								["scale"] = 0.7,
							},
							["visibility"] = {
								["always"] = false,
								["vehicleui"] = false,
							},
							["fadeoutalpha"] = 1,
						},
					},
				},
				["MultiCast"] = {
					["profiles"] = {
						["MayronUI"] = {
							["enabled"] = false,
							["version"] = 3,
							["position"] = {
								["y"] = 35.0000026671023,
								["x"] = 284.333404478858,
								["point"] = "BOTTOMLEFT",
							},
						},
					},
				},
				["BlizzardArt"] = {
					["profiles"] = {					
						["MayronUI"] = {
							["artLayout"] = "TWOBAR",
							["position"] = {
								["y"] = 261.633357818245,
								["x"] = 448.00001313035,
								["point"] = "BOTTOMLEFT",
							},
							["version"] = 3,
						},
					},
				},
				["BagBar"] = {
					["profiles"] = {						
						["MayronUI"] = {
							["enabled"] = false,
							["onebag"] = true,
							["position"] = {
								["y"] = 41.75,
								["x"] = 463.5,
								["point"] = "BOTTOM",
							},
							["version"] = 3,
						},
					},
				},
				["Vehicle"] = {
					["profiles"] = {						
						["MayronUI"] = {
							["version"] = 3,
							["position"] = {
								["y"] = 41,
								["x"] = -408.685424804688,
								["point"] = "BOTTOMRIGHT",
							},
						},
					},
				},
				["StanceBar"] = {
					["profiles"] = {						
						["MayronUI"] = {
							["rows"] = 3,
							["version"] = 3,
							["position"] = {
								["y"] = -2,
								["x"] = -378,
								["point"] = "BOTTOM",
								["scale"] = 0.9,
								["growVertical"] = "UP",
								["growHorizontal"] = "LEFT",
							},
							["padding"] = 3,
							["visibility"] = {
								["stance"] = {
									false, -- [1]
								},
							},
							["fadeoutalpha"] = 0.5,
						},
					},
				},
				["PetBar"] = {
					["profiles"] = {
						["MayronUI"] = {
							["showgrid"] = true,
							["rows"] = 2,
							["version"] = 3,
							["position"] = {
								["y"] = 64,
								["x"] = 441.5,
								["point"] = "BOTTOM",
								["scale"] = 0.7,
							},
							["visibility"] = {
								["always"] = false,
							},
							["fadeoutalpha"] = 0,
						},
					},
				},
				["RepBar"] = {
					["profiles"] = {
						["MayronUI"] = {
							["enabled"] = true,
							["fadeoutalpha"] = 0,
							["fadeout"] = true,
							["position"] = {
								["y"] = 2,
								["x"] = -413.200048828125,
								["point"] = "TOP",
								["scale"] = 0.8,
							},
							["version"] = 3,
						},
					},
				},
			},
			["profiles"] = {
				["MayronUI"] = {
					["blizzardVehicle"] = false,
					["focuscastmodifier"] = false,
					["onkeydown"] = true,
				},
			},
		}
			
		for k,v in pairs(settings) do
			Bartender4DB[k] = v;
		end
	end
end