MayronUI_SetupUI.Import["TipTac"] = function()
	if ( MayronUI_SetupUI:IsEnabled() ) then
		local settings = {
			["fontFace"] = "Fonts\\FRIZQT__.TTF",
			["showRealm"] = "none",
			["colReactText4"] = "|cfff0ff00",
			["barHeight"] = 10,
			["tipBackdropEdge"] = "Interface\\Addons\\MayronUI\\Media\\Borders\\Skinner.tga",
			["colReactBack1"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["backdropEdgeSize"] = 1,
			["hideFactionText"] = true,
			["powerBar"] = false,
			["fontFlags"] = "",
			["colReactText5"] = "|cff0dff00",
			["colReactBack7"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["tipBorderColor"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["noCooldownCount"] = false,
			["colReactText1"] = "|cffc0c0c0",
			["healthBarClassColor"] = true,
			["barFontFlags"] = "OUTLINE",
			["if_infoColor"] = {
				1, -- [1]
				1, -- [2]
				1, -- [3]
				0.9400000013411045, -- [4]
			},
			["classification_rare"] = "Level %s|cffff66ff Rare",
			["enableChatHoverTips"] = false,
			["colorGuildByReaction"] = true,
			["barsCondenseValues"] = true,
			["optionsBottom"] = 347.1668090820313,
			["colReactText3"] = "|cffff7f00",
			["hideAllTipsInCombat"] = true,
			["classification_trivial"] = "|rLevel %s",
			["colReactBack2"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["anchorFrameUnitType"] = "normal",
			["showDebuffs"] = false,
			["manaBar"] = false,
			["gradientColor"] = {
				0.8, -- [1]
				0.8, -- [2]
				0.8, -- [3]
				0.2000000476837158, -- [4]
			},
			["nameType"] = "title",
			["showGuildRank"] = true,
			["fadeTime"] = 0,
			["targetYouText"] = "YOU",
			["barFontFace"] = "Fonts\\FRIZQT__.TTF",
			["top"] = 24,
			["itemQualityBorder"] = true,
			["gradientTip"] = false,
			["powerBarText"] = "percent",
			["anchorFrameUnitPoint"] = "BOTTOMRIGHT",
			["barFontSize"] = 10,
			["fontSizeDelta"] = 2,
			["if_enable"] = true,
			["colReactBack4"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["gttScale"] = 0.949999988079071,
			["selfAurasOnly"] = true,
			["classColoredBorder"] = false,
			["colReactBack5"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["iconFaction"] = false,
			["overrideFade"] = true,
			["colReactBack3"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["preFadeTime"] = 0,
			["hideWorldTips"] = true,
			["if_iconSize"] = 42,
			["reactText"] = false,
			["showTarget"] = "last",
			["showTalents"] = true,
			["tipBackdropBG"] = "Interface\\Addons\\MayronUI\\Media\\ToolTip.tga",
			["showUnitTip"] = true,
			["tipColor"] = {
				0.192156862745098, -- [1]
				0.192156862745098, -- [2]
				0.192156862745098, -- [3]
				0.9081783518195152, -- [4]
			},
			["hideDefaultBar"] = true,
			["healthBar"] = true,
			["colRace"] = "|cffddeeaa",
			["colReactText2"] = "|cffff1900",
			["auraMaxRows"] = 3,
			["classification_normal"] = "Level %s",
			["colLevel"] = "|cffffcc00",
			["classification_worldboss"] = "Level %s|cffff0000 Boss",
			["colReactText6"] = "|cff00b9ff",
			["anchorFrameTipType"] = "parent",
			["reactColoredBorder"] = true,
			["classification_minus"] = "-%s ",
			["mouseOffsetX"] = 0,
			["mouseOffsetY"] = 0,
			["modifyFonts"] = true,
			["optionsLeft"] = 1332.008422851563,
			["fontSize"] = 12,
			["anchorWorldTipType"] = "normal",
			["classification_rareelite"] = "Level %s|cffffaaff Rare Elite",
			["colGuild"] = "|cff0869a9",
			["showBuffs"] = false,
			["manaBarText"] = "percent",
			["showTargetedBy"] = false,
			["colSameGuild"] = "|cffff32ff",
			["barTexture"] = "Interface\\Addons\\Recount\\Textures\\statusbar\\Flat",
			["anchorWorldUnitPoint"] = "BOTTOMRIGHT",
			["iconRaid"] = false,
			["backdropInsets"] = 0,
			["healthBarText"] = "percent",
			["showPlayerGender"] = false,
			["if_borderlessIcons"] = false,
			["anchorWorldTipPoint"] = "BOTTOMRIGHT",
			["colorNameByClass"] = true,
			["talentFormat"] = 2,
			["auraSize"] = 20,
			["anchorWorldUnitType"] = "normal",
			["healthBarColor"] = {
				0.3, -- [1]
				0.9, -- [2]
				0.3, -- [3]
				1, -- [4]
			},
			["showHiddenTipsOnShift"] = true,
			["hideUFTipsInCombat"] = true,
			["classification_elite"] = "Level %s|cffffcc00 Elite",
			["aurasAtBottom"] = true,
			["showAuraCooldown"] = false,
			["left"] = 1836.476196289063,
			["colReactBack6"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["reactColoredBackdrop"] = false,
			["anchorFrameTipPoint"] = "TOPRIGHT",
			["updateFreq"] = 0.5,
		}

		for k,v in pairs(settings) do
			TipTac_Config[k] = v
		end
	end
end